Retrieve recurrence (Pix Automático)
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/rec/{idRec} \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/rec/{idRec}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/rec/{idRec}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calendario": {
"dataInicial": "<string>",
"dataFinal": "<string>"
},
"idRec": "<string>",
"recebedor": {
"conta": "<string>",
"agencia": "<string>",
"convenio": "<string>"
},
"vinculo": {
"contrato": "<string>",
"devedor": {
"cnpj": "<string>",
"cpf": "<string>",
"nome": "<string>"
},
"objeto": "<string>"
},
"atualizacao": [
{
"data": "<string>"
}
],
"solicitacao": [
{
"calendario": {
"dataExpiracaoSolicitacao": "2023-11-07T05:31:56Z"
},
"destinatario": {
"conta": "<string>",
"ispbParticipante": "<string>",
"agencia": "<string>",
"cnpj": "<string>",
"cpf": "<string>"
},
"idRec": "<string>",
"idSolicRec": "<string>"
}
],
"valor": {
"valorMinimoRecebedor": "<string>",
"valorRec": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Retrieve recurrence (Pix Automático)
Retrieves a recurrence by its idRec. Pix API GET /rec/. Projects the stored Rec fields verbatim (D-4), including recebedor.convenio. The dadosQR.jornada/pixCopiaECola and loc (Composite QR) fields are not included in this response. An unknown idRec returns 404 (canonical Problem envelope).
GET
/
api
/
v1
/
brcode
/
rec
/
{idRec}
Retrieve recurrence (Pix Automático)
Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Identificador da recorrência [a-zA-Z0-9]{29}.
Pattern:
^[a-zA-Z0-9]{29}$Response
OK
Show child attributes
Show child attributes
Identificador da recorrência.
Pattern:
^[a-zA-Z0-9]{29}$Available options:
NAO_PERMITE, PERMITE_3R_7D Show child attributes
Show child attributes
Available options:
CRIADA, APROVADA, REJEITADA, EXPIRADA, CANCELADA Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

